Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects
Class TransactionObject

    java.lang.Object
      com.stc.eindex.objects.ObjectNode
          com.stc.eindex.objects.TransactionObject

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class TransactionObject
extends ObjectNode

The TransactionObject class represents a transaction object as stored in the master index database table sbyn_transaction. This database table contains three EUID fields and three local ID fields (along with additional transaction information). Of these fields, only the EUID, EUID2, LID, and LID2 fields are used. EUID1 and LID1 are not currently used and are reserved for future functionality.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.eindex.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion, serialVersionUID`

Constructor Summary
`TransactionObject()` Creates a new instance of the TransactionObject class.
`TransactionObject(java.lang.String transactionnumber, java.lang.String lid1, java.lang.String lid2, java.lang.String euid1, java.lang.String euid2, java.lang.String function, java.lang.String systemuser, java.util.Date timestamp, java.lang.String systemcode, java.lang.String lid, java.lang.String euid, java.lang.Object delta)` Creates a new instance of the TransactionObject class.

Method Summary
`java.lang.Object` | `getDelta()` Retrieves the old information that was changed or discarded during a transaction from an instance of TransactionObject.
`java.lang.String` | `getEUID()` Retrieves the EUID of the record against which the transaction was performed.
`java.lang.String` | `getEUID1()` Retrieves value of the EUID1 field from an instance of TransactionObject.
`java.lang.String` | `getEUID2()` Retrieves the EUID of the second record involved in the transaction (this EUID is only populated for merge and unmerge transactions).
`java.lang.String` | `getFunction()` Retrieves the type of transaction performed from the instance of TransactionObject.
`java.lang.String` | `getLID()` Retrieves the local ID of the system record against which the transaction was performed (this is only populated for local ID merges, unmerges, and transfers).
`java.lang.String` | `getLID1()` Retrieves the value of the LID1 field from an instance of TransactionObject.
`java.lang.String` | `getLID2()` Retrieves the local ID of the second system record involved in the transaction (this local ID is only populated for local ID merge, unmerge, and transfer transactions).
`java.lang.String` | `getRecoverObject()` Retrieves before and after images for a transaction history to display in side-by-side comparisons.
`java.lang.String` | `getSystemCode()` Retrieves the processing code of the system from which the transaction originated.
`java.lang.String` | `getSystemUser()` Retrieves the logon ID of the user who performed the transaction.
`java.util.Date` | `getTimeStamp()` Retrieves the date and time the transaction occurred.
`java.lang.String` | `getTransactionNumber()` Retrieves the unique identification number for the transaction (this number is assigned by the master index).
`void` | `setDelta(java.lang.Object delta)` Sets the delta value in an instance of the TransactionObject class.
`void` | `setEUID(java.lang.Object euid)` Sets the value of the EUID field in an instance of the TransactionObject class.
`void` | `setEUID1(java.lang.Object euid1)` Sets the value of the EUID1 field in an instance of the TransactionObject class.
`void` | `setEUID2(java.lang.Object euid2)` Sets the value of the EUID2 field in an instance of the TransactionObject class.
`void` | `setFunction(java.lang.Object function)` Sets the value of the Function field in an instance of the TransactionObject class.
`void` | `setLID(java.lang.Object lid)` Sets the value of the LID field in an instance of the TransactionObject class.
`void` | `setLID1(java.lang.Object lid1)` Sets the value of the LID1 field in an instance of the TransactionObject class.
`void` | `setLID2(java.lang.Object lid2)` Sets the value of the LID2 field in an instance of the TransactionObject class.
`void` | `setRecoverObject(java.lang.Object recoverobject)` Sets the before or after image in an instance of the TransactionObject class.
`void` | `setSystemCode(java.lang.Object systemcode)` Sets the value of the SystemCode field in an instance of the TransactionObject class.
`void` | `setSystemUser(java.lang.Object systemuser)` Sets the value of the SystemUser field in an instance of the TransactionObject class.
`void` | `setTimeStamp(java.lang.Object timestamp)` Sets the value of the TimeStamp field in an instance of the TransactionObject class.
`void` | `setTransactionNumber(java.lang.Object transactionnumber)` Sets the value of the TransactionNumber field in an instance of the TransactionObject class.

Methods inherited from class com.stc.eindex.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, createChildIndex, deleteChild, deleteChild, equals, getAllChildrenFromHashMap, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFieldTypes, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, structCopy, toString, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionObject

    public TransactionObject()
                      throws ObjectException

  Creates a new instance of the TransactionObject class.

  Parameters:
    None.

  Throws:
    `ObjectException` - Thrown if an error occurs while creating the transaction object.

### TransactionObject

    public TransactionObject(java.lang.String transactionnumber,
                             java.lang.String lid1,
                             java.lang.String lid2,
                             java.lang.String euid1,
                             java.lang.String euid2,
                             java.lang.String function,
                             java.lang.String systemuser,
                             java.util.Date timestamp,
                             java.lang.String systemcode,
                             java.lang.String lid,
                             java.lang.String euid,
                             java.lang.Object delta)
                      throws ObjectException

  Creates a new instance of the TransactionObject class.

  Parameters:
    `transactionnumber` - The unique transaction number assigned by the master index.
    `lid1` - The first local ID for the transaction. This field is not currently used and is reserved for future functionality (the first local ID is populated into the LID field).
    `lid2` - The second local ID for the transaction.
    `euid1` - The first EUID for the transaction. This field is not currently used and is reserved for future functionality (the first EUID is populated into the EUID field).
    `euid2` - The second EUID for the transaction.
    `function` - The type of transaction that created the transaction record.
    `systemuser` - The logon ID of the user who performed the transaction.
    `timestamp` - The date and time the transaction occurred.
    `systemcode` - The processing code of the system from which the transaction originated.
    `lid` - The primary local ID for the transaction.
    `euid` - The primary EUID for the transaction.
    `delta` - Information about what was changed or discarded during the transaction.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the transaction object.

Method Detail

### getDelta

    public java.lang.Object getDelta()
                              throws ObjectException

  Retrieves the old information that was changed or discarded during a transaction from an instance of TransactionObject.

  Parameters:
    None.

  Returns:
    `Object` - An object containing a record's changed information.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the delta value.

### getEUID

    public java.lang.String getEUID()
                             throws ObjectException

  Retrieves the EUID of the record against which the transaction was performed.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the EUID value.

### getEUID1

    public java.lang.String getEUID1()
                              throws ObjectException

  Retrieves value of the EUID1 field from an instance of TransactionObject. Currently, this field is not used in the master index.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the EUID value.

### getEUID2

    public java.lang.String getEUID2()
                              throws ObjectException

  Retrieves the EUID of the second record involved in the transaction (this EUID is only populated for merge and unmerge transactions).

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the EUID value.

### getFunction

    public java.lang.String getFunction()
                                 throws ObjectException

  Retrieves the type of transaction performed from the instance of TransactionObject.

  Parameters:
    None.

  Returns:
    `String` - A transaction type.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the transaction type.

### getLID

    public java.lang.String getLID()
                            throws ObjectException

  Retrieves the local ID of the system record against which the transaction was performed (this is only populated for local ID merges, unmerges, and transfers).

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the local ID value.

### getLID1

    public java.lang.String getLID1()
                             throws ObjectException

  Retrieves the value of the LID1 field from an instance of TransactionObject. Currently, this field is not used in the master index.

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the local ID value.

### getLID2

    public java.lang.String getLID2()
                             throws ObjectException

  Retrieves the local ID of the second system record involved in the transaction (this local ID is only populated for local ID merge, unmerge, and transfer transactions).

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the local ID value.

### getRecoverObject

    public java.lang.String getRecoverObject()
                                      throws ObjectException

  Retrieves before and after images for a transaction history to display in side-by-side comparisons.

  Parameters:
    None.

  Returns:
    `String` - The before or after image of a specific transaction.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the image.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Retrieves the processing code of the system from which the transaction originated.

  Parameters:
    None.

  Returns:
    `String` - A system code.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the system code.

### getSystemUser

    public java.lang.String getSystemUser()
                                   throws ObjectException

  Retrieves the logon ID of the user who performed the transaction.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the logon ID value.

### getTimeStamp

    public java.util.Date getTimeStamp()
                                throws ObjectException

  Retrieves the date and time the transaction occurred.

  Parameters:
    None.

  Returns:
    `Date` - A date and time.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the date and time.

### getTransactionNumber

    public java.lang.String getTransactionNumber()
                                          throws ObjectException

  Retrieves the unique identification number for the transaction (this number is assigned by the master index).

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the transaction ID.

### setDelta

    public void setDelta(java.lang.Object delta)
                  throws ObjectException

  Sets the delta value in an instance of the TransactionObject class. This is the old information that was changed or discarded during a transaction.

  Parameters:
    `delta` - An object containing the delta information.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the delta value.

### setEUID

    public void setEUID(java.lang.Object euid)
                 throws ObjectException

  Sets the value of the EUID field in an instance of the TransactionObject class. This is the EUID of the primary record involved in the transaction.

  Parameters:
    `euid` - An object containing an EUID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the EUID value.

### setEUID1

    public void setEUID1(java.lang.Object euid1)
                  throws ObjectException

  Sets the value of the EUID1 field in an instance of the TransactionObject class. This field is not currently used.

  Parameters:
    `euid1` - An object containing an EUID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the EUID value.

### setEUID2

    public void setEUID2(java.lang.Object euid2)
                  throws ObjectException

  Sets the value of the EUID2 field in an instance of the TransactionObject class. This is the EUID of the secondary record involved in a transaction, such as the non-surviving record in a merge.

  Parameters:
    `euid2` - An object containing an EUID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the EUID value.

### setFunction

    public void setFunction(java.lang.Object function)
                     throws ObjectException

  Sets the value of the Function field in an instance of the TransactionObject class. This is the type of transaction performed.

  Parameters:
    `function` - An object containing a transaction type.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the function value.

### setLID

    public void setLID(java.lang.Object lid)
                throws ObjectException

  Sets the value of the LID field in an instance of the TransactionObject class. This is the local ID of the primary system record involved in a transaction.

  Parameters:
    `lid` - An object containing a local ID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the local ID value.

### setLID1

    public void setLID1(java.lang.Object lid1)
                 throws ObjectException

  Sets the value of the LID1 field in an instance of the TransactionObject class. This field is not currently used.

  Parameters:
    `lid1` - An object containing a local ID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the local ID value.

### setLID2

    public void setLID2(java.lang.Object lid2)
                 throws ObjectException

  Sets the value of the LID2 field in an instance of the TransactionObject class. This is the local ID of the secondary system record involved in the transaction, such as the non-surviving system record in a local ID merge.

  Parameters:
    `lid2` - An object containing a local ID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the local ID value.

### setRecoverObject

    public void setRecoverObject(java.lang.Object recoverobject)
                          throws ObjectException

  Sets the before or after image in an instance of the TransactionObject class. This image is reconstructed from the information contained in the delta column of the sbyn_transaction table.

  Parameters:
    `recoverobject` - An object containing an image of an enterprise object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the object.

### setSystemCode

    public void setSystemCode(java.lang.Object systemcode)
                       throws ObjectException

  Sets the value of the SystemCode field in an instance of the TransactionObject class. This is the processing code of the system from which the transaction originated.

  Parameters:
    `systemcode` - An object containing a system code.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the system code value.

### setSystemUser

    public void setSystemUser(java.lang.Object systemuser)
                       throws ObjectException

  Sets the value of the SystemUser field in an instance of the TransactionObject class. This is the logon ID of the user who performed the transaction.

  Parameters:
    `systemuser` - An object containing a user logon ID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the system user value.

### setTimeStamp

    public void setTimeStamp(java.lang.Object timestamp)
                      throws ObjectException

  Sets the value of the TimeStamp field in an instance of the TransactionObject class. This is the date and time the transaction was performed.

  Parameters:
    `timestamp` - An object containing a date and time.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the timestamp value.

### setTransactionNumber

    public void setTransactionNumber(java.lang.Object transactionnumber)
                              throws ObjectException

  Sets the value of the TransactionNumber field in an instance of the TransactionObject class. This is the unique transaction ID assigned by the master index. These numbers are sequential and are controlled by the sbyn_seq_table database table.

  Parameters:
    `transactionnumber` - An object containing the transaction ID.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the transaction ID.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.